@model ICollection<Lectures.Models.FileViewModel>
@{
    ViewData["Title"] = "Files";
}

<h1>@ViewBag.Title</h1>

<div class="container">
    <table class="table users-table">
        <thead class="thead-dark">
            <tr>
                <td>
                    Name
                </td>
                <td>
                    Size
                </td>
                <td>
                    Actions
                </td>
            </tr>
        </thead>
        <tbody>
            @foreach (var file in Model)
            {
                <tr>
                    <td>
                        @file.Name
                    </td>
                    <td>
                        @file.SizeMB
                    </td>
                    <td class="actions">
                        <a asp-action="Download" class="btn btn-info" asp-route-id="@file.Name">Download</a>
                        <form asp-action="Remove" method="post">
                            <input type="hidden" value="@file.Name" name="name"/>
                            <button type="submit" class="btn btn-danger">Remove</button>
                        </form>
                    </td>
                </tr>
            }
        </tbody>
    </table>

    <a asp-action="Create" class="btn btn-success">Add catalog</a>
</div>